<?xml version="1.0" encoding="UTF-8"?>
<!--
  Copyright (C) 2019 Spanish National Bioinformatics Institute (INB) and
  Barcelona Supercomputing Center

  Modifications to the initial code base are copyright of their respective
  authors, or their employers as appropriate.
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301  USA
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>es.elixir.bsc.beacon.network</groupId>
    <artifactId>beacon-network-aggregator</artifactId>
    <version>1.1.0</version>
    <packaging>war</packaging>

    <developers>
        <developer>
          <id>redmitry</id>
          <name>Dmitry Repchevsky</name>
          <email>redmitry@list.ru</email>
        </developer>
    </developers>

    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>
    
    <dependencies>
        <dependency>
            <groupId>javax</groupId>
            <artifactId>javaee-web-api</artifactId>
            <version>8.0</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>javax.enterprise.concurrent</groupId>
            <artifactId>javax.enterprise.concurrent-api</artifactId>
            <version>1.0</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>es.bsc.inb.ga4gh</groupId>
            <artifactId>beacon-data-model</artifactId>
            <version>1.1.0</version>
        </dependency>
        <dependency>
            <groupId>es.bsc.inb.ga4gh</groupId>
            <artifactId>beacon-network-data-model</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>es.bsc.inb.ga4gh</groupId>
            <artifactId>service-info-data-model</artifactId>
            <version>1.0.0</version>
        </dependency>

<!--
        <dependency>
            <groupId>io.swagger.core.v3</groupId>
            <artifactId>swagger-jaxrs2</artifactId>
            <version>2.1.1</version>
        </dependency>
-->

    </dependencies>

    <repositories>
        <repository>
            <id>gitlab-bsc</id>
            <url>https://gitlab.bsc.es/inb/maven/raw/master</url>
        </repository>
    </repositories>

</project>
